<?
require'../config.php';
$align='left';
$title='Подарки';
aut();
head();
who_add(0,'enter');

$mod = check($_GET['mod']);

if(!isset($_GET['nk']) && isset($_SESSION['nk']))$nk = check($_SESSION['nk']);
else {$nk = check($_GET['nk']);
$_SESSION['nk']=$_GET['nk'];}


switch($mod){

default:
echo 'Подароки <b>'.user_inf($nk,'user').'</b><br/><br />';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=mysql_result(mysql_query("select count(*) as num from gifts where gift_id = '".$nk."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = mysql_query ("Select * from gifts where gift_id = '".$nk."' order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Подарков пока нет...<br />';
$post_k=$start+1;
while($a = @mysql_fetch_array($r)){

if ($a[publ]!=0){
if ($user[id]==$nk||$user[id]==$a[user_id])echo '<a href="'.H.'gifts'.$nk.'_'.$a[id].'"><img src="'.H.'gifts/'.$a['gift'].'" title="Личный подарок!"/></a> ';
else echo '<img src="'.H.'img/gl.gif"/> ';

}else{
echo '<a href="'.H.'gifts'.$nk.'_'.$a[id].'"><img src="'.H.'gifts/'.$a['gift'].'" title="Информация о подарке"/></a> ';
}

}

if ($k_page>1){
echo '<dl><dt></dt></dl>';
str(''.H.'gifts'.$nk.'?',$k_page,$page);
echo '<br /><dl><dt></dt></dl>';
}

echo '<br /><a href="gifts/index?mod=add&amp;nk='.$nk.'">Сделать подарок</a><br />';

break;

case 'read':
$gift = intval($_GET['gift']);
$a = @mysql_fetch_array(mysql_query ("Select * from gifts where gift_id = '".$nk."' and id = '".$gift."'"));

echo '<img src="'.H.'gifts/'.$a['gift'].'"/><br />';
if ($a[anonim]==0)$gu = nik($a[user_id]); else $gu = 'Аноним';
if ($a[publ]==0)$publ = ''; else $publ = ' </b>(<u title="Подарок виден только вам!">Лично</u>)<b>';
echo '<u>Подарил:</u> <b>'.$gu.$publ.'</b> ('.times($a['time']).')<br />';
echo '<u>Комментарий:</u><br />'.$a['kom'].'<br />';

if($user[id]==$nk || $user[level]>=5)echo '<br /><a href="'.H.'gifts'.$nk.'_'.$a[id].'?del">Удалить</a><br />';

if (isset($_GET['del'])){
if($user[id]==$nk || $user[level]>=5){
mysql_query("DELETE FROM gifts where gift_id = '".$nk."' and id = '".$gift."'");
}

header ('Location: '.H.'gifts'.$nk.'?'.SID);

}

break;


case 'add':

if (!user($nk)){echo 'Такого пользователя не существует!'; exit; }
echo 'Подарок для <b>'.user_inf($nk,'user').'</b><br/>';

require_once(H."sys/func/count_dir.php");

$downdir_array = array();

$dir = opendir (".");
while ($file = readdir ($dir)) {
if (is_dir($file)) {
if($file=="."||$file=="..") continue;
$downdir_array[]=$file;
}}
closedir ($dir);

sort($downdir_array);

$total = count($downdir_array);
for ($i = 0; $i < $total; $i++){

echo '<img src="../img/dir.gif" alt=""/> <a href="?mod=addi&amp;path='.$downdir_array[$i].'&amp;'.SID.'">Подарки по '.$downdir_array[$i].' рублей</a> ('.count_dir($downdir_array[$i]).')<br/>';
}



break;

case 'addi':

$path = intval($_GET['path']);
$d=opendir("$path");
if(isset($_GET['list']))$list = check(intval($_GET['list']));
else $list = intval($_POST['list']);
if(!$list) $list = "1";
$n = "1";
while(($k=readdir($d))!==false){
if ($k=='.'||$k=='..'||$k=="index.php"||$k==".htaccess"||$k==".Thumbs.db") continue;
$n++;
}
closedir($d);
$num=($n/$user['max']);if ($num!==(int)$num){$foo = (int) $num;$fo = ($foo + 1);}else{$fo=$num;}
if ($list == "") {$c="0";}else{$c=($user['max']*($list-1));}
$d=opendir("$path");
$la = "-1";

echo 'Подарок для <b>'.user_inf($nk,'user').'</b><br/>';
echo 'Стоймость подарка: <b>'.$path.'</b> рублей<dl></dl>';


while(($e=readdir($d))){
if ($e=='.'||$e=='..'||$e=="index"||$e==".htaccess"||$e==".Thumbs.db") continue;
$la = $la + 1;
if($la>$c-1 and $la<$c+$user['max']){


$laa = $la + 1; // Номер файла
echo "<a href=\"index?mod=gift&amp;path=$path&amp;gift=$e\"><img src=\"$path/$e\" alt=\"$e1\"/></a> ";
}
}
for ($i=0; $i<=$fo; $i++)
if ($list == "$path") {
$c=0;
}else{
$c=($user['max']*($list-1));
}
$lis = $list + 1;
$lis1 = $list - 1;
echo '<br/>';
if ($lis1 < 1){echo "&lt;&lt;пред.";}else{echo "<a href=\"index?list=$lis1&amp;mod=".$mod."&amp;path=$path\">&lt;&lt;пред. </a>";}
if ($lis == $i){echo "| след.&gt;&gt;<br/>";
}else{echo "| <a href=\"index?list=$lis&amp;mod=".$mod."&amp;path=$path\">след.&gt;&gt;</a><br/>";}
if ($ver!='wml') echo "<form method=\"POST\" action=\"index?mod=".$mod."&amp;path=$path\" name=\"auth\">";
echo "Перейти к:<br/>";
echo "<input name=\"list\" format=\"*N\" size=\"3\"/><br/>";
echo "странице<br/>";

if ($ver=='wml'){

echo "<anchor title=\"go\">Пошёл<go href=\"index?mod=".$mod."&amp;path=$path\" method=\"post\">";
echo "<postfield name=\"list\" value=\"$(list)\"/>";
echo "</go></anchor>";

echo "<br/>";
}else{
echo "<input type=\"submit\" class=\"ibutton\" value=\"Пошёл\" name=\"enter\"><br/>";
}
$alls = $i - 1;
echo "<br/>";
echo "Подарков:<b> $n</b><br/>Страницa:<b> $list/$alls</b><br/>";

closedir($d);
break;

case 'gift':

$path = intval($_GET['path']);
$gift = check($_GET['gift']);

if ($user['rur']<$path)$err = 'У вас нет <b>'.$path.'</b> рублей!';

if (empty($err)){



$act = check($_GET['act']);
if (empty($act))
{
	if (file_exists($_SERVER['DOCUMENT_ROOT'].'/gifts/'.$path.'/'.$gift))
	{
		echo '<b>Подарок:</b><br /><img src="'.$path.'/'.$gift.'"/><br />';
		if ($ver!='wml')echo '<form action="index?mod='.$mod.'&amp;act=add&amp;&amp;path='.$path.'&amp;gift='.$gift.'&amp;'.SID.'" method="post">';
		/*echo 'Комментарий:<br /><input name="kom" title="Комментарий"/><br/>';
		echo '<input type="checkbox" name="anonim" value="1"/> Анонимный<br/>';
		echo '<input type="checkbox" name="publ" value="1"/> Личный<br/>';*/

		if ($ver=='wml')
		{
			echo '<br /><anchor title="go">Сделать подарок<go href="index?mod='.$mod.'&amp;act=add&amp;&amp;path='.$path.'&amp;gift='.$gift.'&amp;'.SID.'" method="post"><br />';
			/*echo '<postfield name="kom" value="$kom"/>
			<postfield name="anonim" value="$anonim"/>
			<postfield name="publ" value="$publ"/>
			</go></anchor><br /><br />';*/
		}else
		{
			echo '<br /><input type="submit" class="ibutton" value="Сделать подарок" class="cp"><br />';
		}
	}else{header('Location: http://'.$_SERVER['HTTP_HOST'].'/enter?'); exit;}
}else
{

	if (file_exists($_SERVER['DOCUMENT_ROOT'].'/gifts/'.$path.'/'.$gift))
	{
		///$kom = check($_POST['kom']);
		///$anonim = check(intval($_POST['anonim']));
		$publ = intval($_POST['publ']);

		if ($user['translit']==1)$kom = translit($kom);
		mysql_query("INSERT INTO `gifts` (user_id,gift_id,time,kom,gift,publ) values('$user[id]','".user_inf($nk)."','$time','$kom','".$path."/".$gift."','$publ')");
		$rurm = $user['rur']-$path;
		mysql_query('UPDATE `users` SET `rur` = "'.$rurm.'" WHERE `id` = "'.$user['id'].'"');
		echo 'Подарок отправлен пользователю <b>'.user_inf($nk,'user').'</b>!<br />';
		$podaril = $user['user'];
		if (user_inf($nk,'fr_notify')==1)
		{
			if ($user['sex']==1)$sex = 'сделал'; else $sex = 'сделала';
			$ids = mysql_fetch_array(mysql_query("SELECT * FROM `gifts` WHERE `kom` = '".$kom."'"));
			$idi=$ids['id'];
			///$msg = 'Пользователь [b]'.$podaril.'[/b] '.$sex.' Вам [url=/gifts'.$nk.'_'.$idi.']подарок[/url].';
			$msg = 'Пользователь [b]'.$podaril.'[/b] '.$sex.' Вам подарок  <img src="/gifts/'.$path.'/'.$gift.'" alt="$e1">';
			mysql_query ("INSERT INTO `privat` (user,user_id,to_user,to_id,msg,time) VALUES ('$user_system','0','".user($nk)."','".user_inf($nk)."','".$msg."','$time')");
			/*
			$subject = $_SERVER['HTTP_HOST'];
			$msgmail = ''.$podaril.' '.$sex.' Вам подарок.\r Просмотреть Ваши подарки можно на странице:\r http://'.$_SERVER['HTTP_HOST'].'/gifts'.$nk.' \r\r С уважением,
			Администрация '.$_SERVER['HTTP_HOST'].'\r\r\r_ _ _ _ _
			Вы можете поменять настройки e-mail оповещений на странице:
			http://'.$_SERVER['HTTP_HOST'].'/my/setting?mod=notify';
			$adds = "From: <admin@".$_SERVER['HTTP_HOST'].">";
			$adds .= "X-sender: <admin@".$_SERVER['HTTP_HOST'].">";
			$adds .= "Content-Type: text/plain; charset=utf-8";
			$mail=explode('|',user_inf($to,'mail'));
			mail($mail[0],$subject,$msgmail,$adds);*/
		}
	}else{header('Location: http://'.$_SERVER['HTTP_HOST'].'/enter?'); exit;}

}




}else echo $err;
break;

}

echo '<br />';
if(isset($_SESSION['r_m'])) echo gb.'<a href="../room?rm='.$_SESSION['r_m'].'"><b>Вернуться в комтану</b></a><br />'.div;
echo gb.'<a href="/gifts'.$nk.'">Подарки</a>'.div;
echo gb.'<a href="'.H.$nk.'">В анкету</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>